org.rrd4j.core

## Class RrdDoubleArray<U extends RrdUpdater<U>>

- java.lang.Object
- - org.rrd4j.core.RrdPrimitive<U>
  - - org.rrd4j.core.RrdDoubleArray<U>

- Type Parameters:
    `U` - The type of RrdUpdater this primitive belongs to

      class RrdDoubleArray<U extends RrdUpdater<U>>
      extends RrdPrimitive<U>

  RRD primitive type for handling arrays of double values.

  This class provides methods to store and retrieve arrays of double values in RRD files. It extends RrdPrimitive to handle the low-level storage operations while providing array-specific access methods.

- - ### Field Summary

    - ### Fields inherited from class org.rrd4j.core.RrdPrimitive

      `RRD_DOUBLE, RRD_INT, RRD_LONG, RRD_PRIM_SIZES, RRD_STRING, STRING_LENGTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RrdDoubleArray(RrdUpdater<U> updater, int length)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `(package private) double` | `get(int index)` Gets a double value at the specified index.
    `(package private) double[]` | `get(int index, int count)`
    `(package private) void` | `set(int index, double value)` Sets a double value at the specified index.
    `(package private) void` | `set(int index, double value, int count)`

    - ### Methods inherited from class org.rrd4j.core.RrdPrimitive

      `isCachingAllowed, readBytes, readDouble, readDouble, readDouble, readEnum, readInt, readLong, readString, writeBytes, writeDouble, writeDouble, writeDouble, writeDouble, writeEnum, writeInt, writeLong, writeString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RrdDoubleArray

          RrdDoubleArray(RrdUpdater<U> updater,
                         int length)

  - ### Method Detail

    - #### get

          double get(int index)
              throws IOException

      Gets a double value at the specified index.
      Parameters:
        `index` - the index in the array
      Returns:
        the double value at the index
      Throws:
        `IOException` - if an I/O error occurs

    - #### get

          double[] get(int index,
                       int count)
                throws IOException

      Throws:
        `IOException`

    - #### set

          void set(int index,
                   double value)
            throws IOException

      Sets a double value at the specified index.
      Parameters:
        `index` - the index in the array
        `value` - the double value to set
      Throws:
        `IOException` - if an I/O error occurs

    - #### set

          void set(int index,
                   double value,
                   int count)
            throws IOException

      Throws:
        `IOException`